Thursday, June 02, 2005

Yahoo's all new Photomail (IE5.5 or above reqd.)

Yahoo has introduced yet another good service, Photomail. This requires IE (internet Explorer) 5.5 or above in order to work.

Access it here:

http://photomail.mail.yahoo.com

All you have to do is to install a 1.11 mb file from http://photomail.mail.yahoo.com

Then, it will be easy to send and recieve photos through Yahoo Mail.

No comments: